/// <reference types="node" />
import * as __aws_sdk_middleware_stack from '@aws-sdk/middleware-stack';
import * as __aws_sdk_types from '@aws-sdk/types';
import * as _stream from 'stream';
import { InputTypesUnion } from '../types/InputTypesUnion';
import { OutputTypesUnion } from '../types/OutputTypesUnion';
import { GetItemInput } from '../types/GetItemInput';
import { GetItemOutput } from '../types/GetItemOutput';
import { DynamoDBResolvedConfiguration } from '../DynamoDBConfiguration';
export * from '../types/GetItemInput';
export * from '../types/GetItemOutput';
export * from '../types/GetItemExceptionsUnion';
export declare class GetItemCommand implements __aws_sdk_types.Command<InputTypesUnion, GetItemInput, OutputTypesUnion, GetItemOutput, DynamoDBResolvedConfiguration, _stream.Readable> {
    readonly input: GetItemInput;
    readonly middlewareStack: __aws_sdk_middleware_stack.MiddlewareStack<GetItemInput, GetItemOutput, _stream.Readable>;
    constructor(input: GetItemInput);
    resolveMiddleware(clientStack: __aws_sdk_middleware_stack.MiddlewareStack<InputTypesUnion, OutputTypesUnion, _stream.Readable>, configuration: DynamoDBResolvedConfiguration): __aws_sdk_types.Handler<GetItemInput, GetItemOutput>;
}
